Prometheus API
Returns a list of label names
get
/api/prometheus/api/v1/labelsParameters 5
startqueryStart timestamp to restrict the set of returned label names.
stringformat
"rfc3339 | unix_timestamp"endqueryEnd timestamp to restrict the set of returned label names.
stringformat
"rfc3339 | unix_timestamp"match[]queryRepeated series selector that restricts the label names returned.
array
Array items
stringformat
"series_selector"limitqueryMaximum number of results. Defaults to and is capped at the server-configured maximum.
integerformat
"int64"minimum 1datasetqueryDataset to query. Defaults to the organization's default dataset.
References Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/prometheus/api/v1/labels' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
Returns a list of label names.
References PrometheusLabelNamesOrValuesResponse
stringrequired
string[]
string[]